# IBM Visualization Data Explorer User's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### ManageControlPanel

Category

Interface Control

Function

Allows control panels to be opened and closed from within a visual program.

Syntax

Available only in the user interface.

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`name` | string or string list | no default | name of the control panel(s) to be opened or closed
`open` | flag, flag list, or string list | 0 | 0: close the control panels(s) 1: open the control panels(s)

Functional Details

`name` | specifies the control panel(s) to be opened.
`open` | determines whether the specified control panel(s) will be opened (1) or closed (0). The effect of this parameter depends on the type of argument supplied: If the argument is a single integer, all the specified panels will be opened or they will all be closed. If the argument is an integer list, it must have the same number of items as the list of strings given in `name`, and the flags are associated one-to-one with the named panels. If the argument is a string list, the panels listed in `open` will be opened, and those listed in `name` but not in `open` will be closed.

Example Visual Program InterfaceControl1.net

See Also Execute, ManageColormapEditor, ManageImageWindow, ManageSequencer

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]